=== debian/changelog ===
neochat (23.08.5-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Switch kirigami-addons-dev B-D to kirigami-addons5-dev.

 -- Patrick Franz <deltaone@debian.org>  Fri, 23 Aug 2024 17:59:53 +0200

neochat (23.08.5-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing runtime dependency
    qml-module-org-kde-kirigami-addons-labs-components. (Closes: #1072486)
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 13 Jul 2024 01:03:44 +0200

neochat (23.08.5-2) unstable; urgency=medium

  * Team upload.
  * Add missing QML dependencies

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 20 May 2024 00:56:31 +0200

neochat (23.08.5-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.8
    - bump libquotient-dev to 0.7
    - add libqt5sql5-sqlite for the tests
  * Bump Standards-Version to 4.7.0, no changes required.
  * Add more runtime dependencies needed by the new version: libqt5sql5-sqlite,
    qml-module-org-kde-quickcharts, and qml-module-qtlocation.
  * Add -ffloat-store -fexcess-precision=fast to the CXXFLAGS on i386
    architectures to fix float usages/comparisons.
  * The rebuild with libquotient 0.7+ will enable the support for E2EE
    encryption. (Closes: #1040931)

 -- Pino Toscano <pino@debian.org>  Fri, 17 May 2024 17:50:24 +0200
