=== debian/control ===
Source: neochat
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               cmark,
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.105.0~),
               gettext,
               kirigami-addons5-dev (>= 0.7.2~),
               kirigami2-dev (>= 5.105.0~),
               kquickimageeditor-dev,
               libcmark-dev,
               libkf5config-dev (>= 5.105.0~),
               libkf5configwidgets-dev (>= 5.105.0~),
               libkf5coreaddons-dev (>= 5.105.0~),
               libkf5dbusaddons-dev (>= 5.105.0~),
               libkf5doctools-dev (>= 5.105.0~),
               libkf5i18n-dev (>= 5.105.0~),
               libkf5itemmodels-dev (>= 5.105.0~),
               libkf5kio-dev (>= 5.105.0~),
               libkf5notifications-dev (>= 5.105.0~),
               libkf5qqc2desktopstyle-dev (>= 5.105.0~),
               libkf5sonnet-dev (>= 5.105.0~),
               libkf5windowsystem-dev (>= 5.105.0~),
               libqt5sql5-sqlite <!nocheck>,
               libqt5svg5-dev (>= 5.15.8~),
               libquotient-dev (>= 0.7~),
               qcoro-qt5-dev (>= 0.4~),
               qtbase5-dev (>= 5.15.8~),
               qtdeclarative5-dev (>= 5.15.8~),
               qtkeychain-qt5-dev,
               qtmultimedia5-dev (>= 5.15.8~),
               qtquickcontrols2-5-dev (>= 5.15.8~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
Homepage: https://apps.kde.org/neochat/
Rules-Requires-Root: no

Package: neochat
Architecture: any
Depends: libqt5sql5-sqlite,
         qml-module-org-kde-kirigami-addons-delegates,
         qml-module-org-kde-kirigami-addons-components,
         qml-module-org-kde-kirigami-addons-labs-components,
         qml-module-org-kde-kirigami-addons-labs-mobileform,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-org-kde-kquickimageeditor,
         qml-module-org-kde-notifications,
         qml-module-org-kde-purpose,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-org-kde-quickcharts,
         qml-module-org-kde-sonnet,
         qml-module-org-kde-syntaxhighlighting,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtlocation,
         qml-module-qtmultimedia,
         qml-module-qtpositioning,
         qml-module-qtqml,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick-particles2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Matrix client for desktop and mobile made by KDE
 A chat application for Matrix, a decentralized communication protocol, created
 by the KDE community. It allows one to send text messages, videos and audio
 files to your family, colleagues and  friends using the Matrix protocol.
 .
 It features an elegant and responsive user interface allows one to adapt to any
 screen size automatically and gracefully. It works on both Desktop and Mobile.
