## neochat 24.08.1

=== debian/changelog ===
neochat (24.08.1-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Work around #1084829 (qt6-location):
    - Add qml6-module-qt-labs-animations (qml6-module-qtlocation depdends
      on this).
    - Add qt6-location-plugins otherwise location selection is an empty
      view.

 -- Sandro Knauß <hefee@debian.org>  Wed, 09 Oct 2024 13:05:30 +0200

neochat (24.08.1-1) experimental; urgency=medium

  [ Vincent Pinon ]
  * New upstream release.
  * Update build-deps and deps with the info from cmake.
  * Use pkgkde-getqmldepends to create QML dependencies.
  * Update copyright.
  * Switch to build with Qt 6.

 -- Sandro Knauß <hefee@debian.org>  Mon, 07 Oct 2024 16:00:48 +0200
