=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store -fexcess-precision=fast
endif

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test

execute_after_dh_auto_install:
	pkgkde-getqmldepends --qt 6 -- -qmlFiles src/chatbar/* src/devtools/* src/login/* src/qml/* src/settings/* src/timeline/*
