=== debian/changelog ===
neochat (24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)
  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Nov 2024 14:50:31 +0000

neochat (24.08.1-3ubuntu1) plucky; urgency=medium

  * Don't fail build time tests on armhf.

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2024 16:56:00 +0000

neochat (24.08.1-3) experimental; urgency=medium

  * Switch to dh_qmldeps.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 12:51:25 +0200
