=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: neochat
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                cmark,
                debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
@@ -53,8 +55,8 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
 Homepage: https://apps.kde.org/neochat/
 Rules-Requires-Root: no
