=== debian/changelog ===
neochat (24.08.3-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop KUnifiedPush as a build dependency, it didn’t make it into
    Trixie before the freeze.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Apr 2025 15:31:12 +0200

neochat (24.08.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Build with UnifiedPush support.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Apr 2025 23:45:32 +0200

neochat (24.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Backport upstream commit d2e5c1d33b587d0931abbb57081d318864ea8ebe to disable
    TextHandlerTest; patch upstream_Disable-TextHandlerTest-on-CI.patch.
    (Closes: #1100244)

 -- Pino Toscano <pino@debian.org>  Sun, 16 Mar 2025 13:36:48 +0100

neochat (24.08.1-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Depend on the Qt6 build of KQuickImageEditor.
  * Add build dependency on qt6-declarative-private-dev.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Dec 2024 11:32:40 +0100
