=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: neochat
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -13,7 +12,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
-               kquickimageeditor-dev,
+               kquickimageeditor-dev (>= 0.4.0~),
                libcmark-dev,
                libicu-dev (>= 61.0~),
                libkf6config-dev (>= 6.0~),
@@ -48,15 +47,16 @@
                qml6-module-qtquick-dialogs,
                qt6-base-dev (>= 6.5~),
                qt6-declarative-dev (>= 6.5~),
+               qt6-declarative-private-dev,
                qt6-multimedia-dev (>= 6.5~),
                qt6-svg-dev (>= 6.5~),
                qt6-webview-dev,
                qtkeychain-qt6-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
 Homepage: https://apps.kde.org/neochat/
 Rules-Requires-Root: no
