=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,3 @@
 
 override_dh_auto_test:
 	xvfb-run -a dh_auto_test
-
-execute_after_dh_auto_install:
-	pkgkde-getqmldepends --qt 6 -- -qmlFiles src/chatbar/* src/devtools/* src/login/* src/qml/* src/settings/* src/timeline/*
