## neochat 24.12.1

=== debian/changelog ===
neochat (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:40:27 +0000

neochat (24.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 14:13:55 +0100

neochat (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:24:40 +0000

neochat (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)
  * Bump minimim required libquotient build dep to >= 0.9.0

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2024 18:00:35 +0000

neochat (24.08.3-0ubuntu2) plucky; urgency=medium

  * Only build with QtWebView on amd64 arm64 armhf.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 15:55:51 +0000

neochat (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:48:35 +0000
