=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: neochat
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -12,7 +13,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
-               kquickimageeditor-dev (>= 0.4.0~),
+               kquickimageeditor-dev,
                libcmark-dev,
                libicu-dev (>= 61.0~),
                libkf6config-dev (>= 6.0~),
@@ -33,7 +34,7 @@
                libkf6windowsystem-dev (>= 6.0~),
                libkirigami-dev (>= 6.0.0~),
                libqt6sql6-sqlite <!nocheck>,
-               libquotient-dev (>= 0.8.2~),
+               libquotient-dev (>= 0.9.0~),
                qcoro-qt6-dev (>= 0.4~),
                qml6-module-org-kde-kquickimageeditor,
                qml6-module-org-kde-notifications,
@@ -47,22 +48,22 @@
                qml6-module-qtquick-dialogs,
                qt6-base-dev (>= 6.5~),
                qt6-declarative-dev (>= 6.5~),
-               qt6-declarative-private-dev,
                qt6-multimedia-dev (>= 6.5~),
                qt6-svg-dev (>= 6.5~),
-               qt6-webview-dev,
+               qt6-webview-dev [amd64 arm64 armhf],
                qtkeychain-qt6-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/neochat
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/neochat.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/neochat
 Homepage: https://apps.kde.org/neochat/
 Rules-Requires-Root: no
 
 Package: neochat
 Architecture: any
 Depends: ${qml6:Depends},
+         qml6-module-qtwebview [amd64 arm64 armhf],
          qml6-module-qt-labs-animation,
          qt6-location-plugins,
          ${misc:Depends},
